Bug 1120944 - [Docs][PRD3.5] [Change] The maximum length of names for Windows virtual machines has grown
Summary: [Docs][PRD3.5] [Change] The maximum length of names for Windows virtual machi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Tahlia Richardson
QA Contact: Laura Novich
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 03:11 UTC by Andrew Dahms
Modified: 2016-01-27 01:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 01:32:53 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Andrew Dahms 2014-07-18 03:11:57 UTC
You can now use names up to 256 characters in length for Windows virtual machines. Previously, this was not possible due to constraints of having Windows virtual machines join netbios domains, but the PRD bug on which this bug is based is implementing a new feature that will circumvent this restriction.

For documentation, this will involve checking the explanation of settings for virtual machines in the New Virtual Machine and Edit Virtual Machine windows to see if the current restriction (15 characters) is mentioned, and changing that.

If topic 10738 on the engine-config parameters also ends up going into our documentation for 3.5, we may need to update the description of the MaxVmNameLengthWindows key.

PRD Bug: https://bugzilla.redhat.com/show_bug.cgi?id=906243

Comment 2 Tahlia Richardson 2014-08-25 02:14:24 UTC
Virtual Machine General Settings Explained [10394] currently lists the maximum as 64 characters. Tested a too-long name in the Admin Portal and it complained that names can only be a size of 1-255. Changed to 255 in the topic. (Why the one number difference from that listed in the bug? We may never know).

Topic 10738 is now gone - no need to update it.

Comment 3 Tahlia Richardson 2014-08-26 03:16:31 UTC
Documentation Link 
------------------------------

Admin: http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Administration_Guide/index.html#Virtual_Machine_General_settings_explained

User: https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/User_Guide/index.html#Virtual_Machine_General_settings_explained

What Changed 
------------------------------

The following topic was modified for both the Admin and User guides: 

Virtual Machine General Settings Explained [10394-702447]

Adjusted the Name description to say that the maximum length is 255 characters. 


Updated revision history: 
Admin [34613-702518]
User [34617-702519]


NVR
------------------------------

Admin: Red_Hat_Enterprise_Virtualization-Administration_Guide-3.5-Beta-web-en-US-3.5-12.el6eng 

User: Red_Hat_Enterprise_Virtualization-User_Guide-3.5-Beta-web-en-US-3.5-8.el6eng


Moving to ON_QA


Note You need to log in before you can comment on or make changes to this bug.